require_relative 'auth'

module Trustie
  module Grack

    def self.new
      Rack::Builder.new do
        use ::Grack::Auth
        run ::Grack::Server.new(
          project_root: Redmine::Configuration['repository_root_path'] || "/home/pdl/redmine-2.3.2-0/apache2/htdocs", 
          upload_pack: true,
          receive_pack:true
        )
      end
    end

  end
end
